/*
 *  预约挂号功能相关接口api
 */
(function(exports) {
    var appointmentAPI = {
        //查询医院列表
        querySimpleHospitalList: function(data){
            return httpRequest.fzPost("baseinfo/HospitalApi/querySimpleHospitalList", data);
        },
        //获取医院详情
        querySimpleHospitalById: function(data){
            return httpRequest.fzPost("baseinfo/HospitalApi/querySimpleHospitalById", data);
        },
        //查询科室列表
        querySimpleHosDeptList: function(data){
            return httpRequest.fzPost("baseinfo/HosDeptApi/querySimpleHosDeptList", data);
        },
        //获取科室详情
        querySimpleHosDeptById: function(data){
            return httpRequest.fzPost("baseinfo/HosDeptApi/querySimpleHosDeptById", data);
        },
        //查询医生列表接口
        querySimpleDoctorList: function(data){
            return httpRequest.fzPost("baseinfo/DoctorInfoApi/querySimpleDoctorList", data);
        },
        //获取医生详情
        querySimpleDoctorBySn: function(data){
            return httpRequest.post("baseinfo/DoctorInfoApi/querySimpleDoctorBySn", data);
        },
        //查询排班数据
        queryGhtArrangeWater: function(data){
            return httpRequest.fzPost("gh/GhOpen/QueryGhtArrangeWater", data);
        },
        //查询号源信息
        queryNumbers: function(data){
            return httpRequest.fzPost("gh/GhOpen/QueryNumbers", data);
        },
        //查询医院挂号表单项
        getInputFormControls: function(data){
            return httpRequest.post("gh/GhOpen/GetInputFormControls", data);
        },
        //创建挂号单
        createRegOrderForOpen: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/createRegOrderForOpen", data);
        },
        //挂号单支付完成
        completePayNotice: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/completePayNotice", data);
        },
        //取消挂号单
        cancelOrder: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/cancelOrder", data);
        },
        //查询挂号单
        getRegOrderInfo: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/getRegOrderInfo", data);
        },
        //查询挂号单列表
        queryRegOrderInfos: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/queryRegOrderInfos", data);
        },
        //
    } 

    exports.appointmentAPI = appointmentAPI;
})(window)